org.vishia.gral.ifc

## Class GralActionJztc

- java.lang.Object
- - org.vishia.gral.ifc.GralActionJztc

-     public class GralActionJztc
      extends java.lang.Object

  This class should be instantiated by a JZtxtcmd script. It is the common container for all actions which are deployed by sub routines of jzcmd. To add an action invoke in JZtxtcmd:

       Obj gralActions = java new org.vishia.gral.ifc.GralActionJztc(jztc, out);
       gralActions.add(jztc.sub("buttonConvert"));
       ....
       sub buttonConvert(){
         .....do something with graphical content or other
       }

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private class` | `GralActionJztc.Action`
    `private class` | `GralActionJztc.ActionRereadScript`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.Map<java.lang.String,GralActionJztc.Action>` | `actions`
    `(package private) JZtxtcmdScript` | `jzcmdScript` The java prepared script which contains subroutines.
    `(package private) MainCmdLogging_ifc` | `log`
    `(package private) java.lang.Appendable` | `out`
    `(package private) java.io.File` | `scriptFile`
    `(package private) JZtxtcmdThreadQueue` | `thread`
    `static java.lang.String` | `version` The version, history and license.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GralActionJztc(JZtxtcmdExecuter.JzTcMain jztc, java.lang.Appendable out, MainCmdLogging_ifc log)` Constructs and stores JZtxtcmd aggregation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(JZtxtcmdScript.Subroutine jzsub)` Adds a JZtxtcmd-subroutine as execution of a `GralUserAction`.
    `void` | `setScript(java.io.File scriptfile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final java.lang.String version

      The version, history and license.
      - 2018-09-17 created
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### actions

          java.util.Map<java.lang.String,GralActionJztc.Action> actions

    - #### jzcmdScript

          JZtxtcmdScript jzcmdScript

      The java prepared script which contains subroutines.

    - #### scriptFile

          java.io.File scriptFile

    - #### thread

          final JZtxtcmdThreadQueue thread

    - #### out

          final java.lang.Appendable out

    - #### log

          final MainCmdLogging_ifc log

  - ### Constructor Detail

    - #### GralActionJztc

          public GralActionJztc(JZtxtcmdExecuter.JzTcMain jztc,
                                java.lang.Appendable out,
                                MainCmdLogging_ifc log)

      Constructs and stores JZtxtcmd aggregation.
      Parameters:
        `jztc` - The main data to access script level
        `out` - Any output used in the sub routine.

  - ### Method Detail

    - #### setScript

          public void setScript(java.io.File scriptfile)

    - #### add

          public void add(JZtxtcmdScript.Subroutine jzsub)

      Adds a JZtxtcmd-subroutine as execution of a `GralUserAction`. to the registered actions, able to get with `GralMng.getRegisteredUserAction(String)` The name of the action is the name of the sub routine. The user is responsible to unique names in the graphic application.
      Parameters:
        `jzsub` -